/* --------------------------------------------------------------
    Header file for timer function.

    Home page: www.imach.uran.ru/rns

    Copyright 2001-2002 by Dr. Raul N.Shakirov, IMach of RAS(UB).
    All Rights Reserved.

    Permission has been granted to copy, distribute and modify
    software in any context without fee, including a commercial
    application, provided that the aforesaid copyright statement
    is present here as well as exhaustive description of changes.

    THE SOFTWARE IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND
    IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR
    WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR
    ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.
-------------------------------------------------------------- */

#ifndef GETTIMER_H
#define GETTIMER_H

#ifdef  __cplusplus
extern "C" {
#endif/*__cplusplus*/

/* --------------------------------------------------------------
    Name:       GetTimer

    Purpose:    Get timer as a millisecond interval between
                current time and given time value.

    Usage:      long timer = GetTimer (0);
                ...
                Some time-consuming process
                ...
                timer = GetTimer (timer);

    Arguments:
      timer     Time value to be subtracted from current time.

    Returns:    Difference of current time and timer value.
-------------------------------------------------------------- */

long GetTimer (long timer);

#ifdef  __cplusplus
}
#endif/*__cplusplus*/

#endif/*GETTIMER_H*/
